gnutls_psk_set_client_credentials(3)

NAME
gnutls_psk_set_client_credentials - API function

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_psk_set_client_credentials(gnutls_psk_client_credentials_t res, const char * username, const gnutls_datum_t * key, gnutls_psk_key_flags flags);

ARGUMENTS

gnutls_psk_client_credentials_t res
    is a gnutls_psk_client_credentials_t type.

const char * username
    is the user's zero-terminated userid

const gnutls_datum_t * key
    is the user's key

gnutls_psk_key_flags flags
    indicate the format of the key, either GNUTLS_PSK_KEY_RAW or GNUTLS_PSK_KEY_HEX.

DESCRIPTION
This function sets the username and password, in a gnutls_psk_client_credentials_t type. Those will be used in PSK authentication. username should be an ASCII string or UTF-8 string. In case of a UTF-8 string it is recommended to be following the PRECIS framework for usernames (rfc8265). The key can be either in raw byte format or in Hex format (without the 0x prefix).

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise an error code is returned.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001-2023 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/